CI 묻고 답하기

제목 코드이그나이터와 PDO
카테고리 일반
글쓴이 닥터케이 작성시각 2017/08/03 14:46:11
댓글 : 3 추천 : 0 스크랩 : 0 조회수 : 400   RSS

PHP 버전 : 5.4.16

코드이그나이터 버전 : 2.2.5

system\database\DB.php 에서

dbdriver 로 사용할 수 있는게

mysql, mysqli, postgre, odbc, mssql, sqlite, oci8

만 보여요...

(캡쳐한 이미지 첨부해놨어요)

 

PDO 라이브러리를 사용하고 싶은데,

제가 설치한 버전에서는 사용불가능해요?

 

댓글달아 주신 분들 감사합니다!


첨부파일 코드이그나이터.PNG (3.2 KB)
 다음글 페이지네이션 작업중 오류 (8)
 이전글 update_batch에 대해 질문있습니다. (2)

댓글

kaido / 2017/08/03 15:17:22 / 추천 0

포럼 검색해 보시면 나오실거에요.

[제가 사용해본적은 없지만 관련 내용을 여러번 보았습니다.]

PDO 사용 가능 한것으로 알고 있습니다.

닥터케이 / 2017/08/07 17:07:38 / 추천 0
@kaido님  PDO 사용가능한거 같은데, 제가 설치한 코드이그나이터 버전에서는 dbdriver 지원항목에서 PDO가 안보여서요;; 지원항목에서 안보이면 안되는거 아닌지...?
kaido / 2017/08/07 17:35:43 / 추천 0

3.x 에서는 pdo 가 있는게 확인 됩니다. 2.x 버전은 아래를 참고해 보세요.

https://github.com/cickes/PDOinCodeigniter2